<template>
  <LayoutMain>    
    <section>
      <b-container>
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Iniciar sesión" />
          </b-col>
        </b-row>
      </b-container>      
      <div class="color-wrapper">
        <b-container>
        <b-form-row class="justify-content-center text-center">
          <b-col cols="6">
              <b-form @submit.prevent="login">
                <b-form-group label-for="email">
                  <b-form-input id="email" v-model="email" required placeholder="Correo electrónico"></b-form-input>
                </b-form-group>
                <b-form-group id="password"  label-for="input-2">
                  <b-form-input id="password" type="password" v-model="password" required placeholder="Contraseña"></b-form-input>
                </b-form-group>
                <b-alert :show="getAuthStatus=='error'">Usuario o contraseña incorrectos</b-alert>
                <b-container fluid>
                  <b-row>
                    <b-col cols="6">
                      <b-button size="lg" link="/recordar-contraseña" variant="primary" >Recordar contraseña</b-button>
                    </b-col>
                    <b-col cols="6">
                      <b-button size="lg" type="submit"> Iniciar sesión</b-button>
                    </b-col>
                  </b-row>
                  </b-container>
              </b-form>
          </b-col>
        </b-form-row>
      </b-container>
      </div>
    </section>
  </LayoutMain>
</template>

<script>
// @ is an alias to /src
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";

import { mapState, mapGetters } from 'vuex';

export default {
  name: "home",
  components: {
    LayoutMain,
    TitleShape
  },
  data() {
    return {
      email: "",
      password: ""
    };
  },
  computed: {
    // ...mapState('auth', ['status'])
    ...mapGetters('auth', ['getAuthStatus'])    
  },
  methods: {
    login() {
      const { email, password } = this
      this.$store.dispatch('auth/login', { email, password }).then(result => {
        this.$store.dispatch('auth/user').then(resp => this.$router.push("/"));
      }).catch(
        (error) => {
          this.$root.$bvToast.toast(error.message, {
            title: 'Error iniciando sesión',
            autoHideDelay: 5000,
            variant: 'danger'
          })
        }
      );
    }
  }
};
</script>